org.bouncycastle.asn1.ocsp

## Class OCSPResponseStatus

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.DERObject
    - - org.bouncycastle.asn1.ASN1Object
      - - org.bouncycastle.asn1.DEREnumerated
        - - org.bouncycastle.asn1.ocsp.OCSPResponseStatus

All Implemented Interfaces:
  DEREncodable, DERTags

    public class OCSPResponseStatus
    extends DEREnumerated

### Field Summary

Fields
`static int` `INTERNAL_ERROR`
`static int` `MALFORMED_REQUEST`
`static int` `SIG_REQUIRED`
`static int` `SUCCESSFUL`
`static int` `TRY_LATER`
`static int` `UNAUTHORIZED`

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Fields inherited from interface org.bouncycastle.asn1.DERTags

`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

### Constructor Summary

Constructors
Constructor and Description
`OCSPResponseStatus(DEREnumerated value)`
`OCSPResponseStatus(int value)` The OCSPResponseStatus enumeration.

### Method Summary

### Methods inherited from class org.bouncycastle.asn1.DEREnumerated

`getInstance, getInstance, getValue, hashCode`

### Methods inherited from class org.bouncycastle.asn1.ASN1Object

`equals, fromByteArray`

### Methods inherited from class org.bouncycastle.asn1.DERObject

`toASN1Object`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`getDEREncoded, getDERObject, getEncoded, getEncoded`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SUCCESSFUL

    public static final int SUCCESSFUL

See Also:
  Constant Field Values

#### MALFORMED_REQUEST

    public static final int MALFORMED_REQUEST

See Also:
  Constant Field Values

#### INTERNAL_ERROR

    public static final int INTERNAL_ERROR

See Also:
  Constant Field Values

#### TRY_LATER

    public static final int TRY_LATER

See Also:
  Constant Field Values

#### SIG_REQUIRED

    public static final int SIG_REQUIRED

See Also:
  Constant Field Values

#### UNAUTHORIZED

    public static final int UNAUTHORIZED

See Also:
  Constant Field Values

### Constructor Detail

#### OCSPResponseStatus

    public OCSPResponseStatus(int value)

The OCSPResponseStatus enumeration.

     OCSPResponseStatus ::= ENUMERATED {
         successful            (0),  --Response has valid confirmations
         malformedRequest      (1),  --Illegal confirmation request
         internalError         (2),  --Internal error in issuer
         tryLater              (3),  --Try again later
                                     --(4) is not used
         sigRequired           (5),  --Must sign the request
         unauthorized          (6)   --Request unauthorized
     }

#### OCSPResponseStatus

    public OCSPResponseStatus(DEREnumerated value)